<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\SecretEncryptedMessage;

use UnexpectedValueException;




class SecretEncType
{
    


    const UNKNOWN = 0;
    


    const EVENT_EDIT = 1;
    


    const MESSAGE_EDIT = 2;

    private static $valueToName = [
        self::UNKNOWN => 'UNKNOWN',
        self::EVENT_EDIT => 'EVENT_EDIT',
        self::MESSAGE_EDIT => 'MESSAGE_EDIT',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

